Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.i18n
Class MessageBundle

    java.lang.Object
      org.apache.axis2.i18n.MessageBundle

    public class MessageBundle

extends Object

Accept parameters for ProjectResourceBundle, but defer object instantiation (and therefore resource bundle loading) until required.

Constructor Summary
`MessageBundle(String projectName, String packageName, String resourceName, Locale locale, ClassLoader classLoader, ResourceBundle parent)` Construct a new ExtendMessages

Method Summary
`String` | `getMessage(String key)` Gets a string message from the resource bundle for the given key
`String` | `getMessage(String key, String arg0)` Gets a string message from the resource bundle for the given key.
`String` | `getMessage(String key, String[] array)` Gets a string message from the resource bundle for the given key.
`String` | `getMessage(String key, String arg0, String arg1)` Gets a string message from the resource bundle for the given key.
`String` | `getMessage(String key, String arg0, String arg1, String arg2)` Gets a string message from the resource bundle for the given key.
`String` | `getMessage(String key, String arg0, String arg1, String arg2, String arg3)` Gets a string message from the resource bundle for the given key.
`String` | `getMessage(String key, String arg0, String arg1, String arg2, String arg3, String arg4)` Gets a string message from the resource bundle for the given key.
`ProjectResourceBundle` | `getResourceBundle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageBundle

    public MessageBundle(String projectName,
                         String packageName,
                         String resourceName,
                         Locale locale,
                         ClassLoader classLoader,
                         ResourceBundle parent)
                  throws MissingResourceException

  Construct a new ExtendMessages

  Throws:
    `MissingResourceException`

Method Detail

### getResourceBundle

    public final ProjectResourceBundle getResourceBundle()

### getMessage

    public String getMessage(String key)
                      throws MissingResourceException

  Gets a string message from the resource bundle for the given key

  Parameters:
    `key` - The resource key
  Returns:
    The message
  Throws:
    `MissingResourceException`

### getMessage

    public String getMessage(String key,
                             String arg0)
                      throws MissingResourceException

  Gets a string message from the resource bundle for the given key. The message may contain variables that will be substituted with the given arguments. Variables have the format:

  This message has two variables: {0} and {1}

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
  Returns:
    The message
  Throws:
    `MissingResourceException`

### getMessage

    public String getMessage(String key,
                             String arg0,
                             String arg1)
                      throws MissingResourceException

  Gets a string message from the resource bundle for the given key. The message may contain variables that will be substituted with the given arguments. Variables have the format:

  This message has two variables: {0} and {1}

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
  Returns:
    The message
  Throws:
    `MissingResourceException`

### getMessage

    public String getMessage(String key,
                             String arg0,
                             String arg1,
                             String arg2)
                      throws MissingResourceException

  Gets a string message from the resource bundle for the given key. The message may contain variables that will be substituted with the given arguments. Variables have the format:

  This message has two variables: {0} and {1}

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
  Returns:
    The message
  Throws:
    `MissingResourceException`

### getMessage

    public String getMessage(String key,
                             String arg0,
                             String arg1,
                             String arg2,
                             String arg3)
                      throws MissingResourceException

  Gets a string message from the resource bundle for the given key. The message may contain variables that will be substituted with the given arguments. Variables have the format:

  This message has two variables: {0} and {1}

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
  Returns:
    The message
  Throws:
    `MissingResourceException`

### getMessage

    public String getMessage(String key,
                             String arg0,
                             String arg1,
                             String arg2,
                             String arg3,
                             String arg4)
                      throws MissingResourceException

  Gets a string message from the resource bundle for the given key. The message may contain variables that will be substituted with the given arguments. Variables have the format:

  This message has two variables: {0} and {1}

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
    `arg4` - The argument to place in variable {4}
  Returns:
    The message
  Throws:
    `MissingResourceException`

### getMessage

    public String getMessage(String key,
                             String[] array)
                      throws MissingResourceException

  Gets a string message from the resource bundle for the given key. The message may contain variables that will be substituted with the given arguments. Variables have the format:

  This message has two variables: {0} and {1}

  Parameters:
    `key` - The resource key
    `array` - An array of objects to place in corresponding variables
  Returns:
    The message
  Throws:
    `MissingResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.